*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial, sans-serif;
}

body{
  height: 100vh;
  display: flex;
  flex-direction: column;
  background: #dae4f8 ;
}

/* CONTEÚDO PRINCIPAL */
.container {
  flex: 1;
  display: flex;
}

.image-side {
  flex: 2;
  overflow: hidden;
}
.image-side img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 0 0 10px 0;
}
/* LOGIN */
.login-side {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
}
.card {
  width: 340px;
  height: 450px;
  background: #fff;
  padding: 15px 20px;
  border-radius: 12px;
  box-shadow: 0 10px 30px rgba(0,0,0,0.3);
  border: solid 1px #8d8d8d;
  
}
.card_logo{
  margin-top: 20px;
  display: flex;
  background: #004bad;
  padding: 8px;
  border-radius: 10px;
  width: 210px;
  margin: auto;
}
.card_logo img {
  width: auto;
  height: 40px;
  margin-right: 10px;
}
/* Estilos para o texto do logo */
.logo-text {
  display: flex;
  flex-direction: column;
  align-items: center;
}
/* "GioLabCloud" vai ficar em cima */
.brand-name {
  font-size: 16px;
  font-weight: bold;
  color: #fff;
}
/* "Tecnologias" serÃ¡ posicionado abaixo */
.subname {
  font-size: 15px;
  margin-top: 3px;
  background-color: #fff;
  padding: 1px 8px;
  border-radius: 5px;
  color: #000;
  font-weight: bold;
}
h3{
  margin: 20px 0 25px 0;
  font-size: 20px;
  color: #333;
  text-align: center;
}
.form{
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.input-group{
  position: relative;
}
.input-group label{
  position: absolute;
  color: #8d8d8d;
  pointer-events: none;
  background-color: transparent;
  left: 15px;
  transform: translateY(0.6rem);
  transition: all 0.3s ease;
}
.input-group input{
  padding: 15px 15px;
  font-size: 1rem;
  border-radius: 8px;
  border: solid 1px #8d8d8d;
  letter-spacing: 1px;
  width: 100%;
}
.input-group input:focus,
.input-group input:valid{
  outline: none;
  border: solid 1px #0034de;
}
.input-group input:focus ~ label,
.input-group input:valid ~ label{
  transform: translateY(-51%) translateX(-10px) scale(0.8);
  background-color: #fff;
  padding: 0px 5px;
  color: #0034de;
  font-weight: bold;
  font-size: 1.2rem;
  letter-spacing: 1px;
  border: none;
  border-radius:100px ;
}
.form .passicon{
  cursor: pointer;
  font-size: 1.3rem;
  position: absolute;
  top: 6px;
  right: 8px;

}
.form .close{
  display: none;
}
/* OLHO SENHA */
.eye {
  position: absolute;
  right: 12px;
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
  font-size: 20px;
  color: #666;
}

/* OPTIONS */
.options {
  display: flex;
  justify-content: space-between;
  font-size: 12px;
  margin: 10px 0;
}

.options label {
  display: flex;
  gap: 5px;
  align-items: center;
}

/* BOTÃO */
button {
  width: 100%;
  padding: 12px;
  background: #613a1d;
  color: #fff;
  border: none;
  border-radius: 8px;
  cursor: pointer;
}

button:hover {
  background: #4a2c15;
}

/* FOOTER */
footer {
  text-align: center;
  padding: 12px;
  font-size: 15px;
  margin: 20px;
  font-style: italic;
}
footer p{
  color: #8d8d8d;;
}
footer a{
  text-decoration: none;
}
.mobile-icons {
  margin-top: 10px;
  display: flex;
  justify-content: center;
  gap: 15px;
  font-size: 18px;
  opacity: 0.7;
}

.mobile-icons i {
  transition: 0.3s;
  cursor: default;
}

.mobile-icons i:hover {
  transform: scale(1.2);
  opacity: 1;
}

/* RESPONSIVO */
@media (max-width: 900px) {
  .container {
    display: flex;
    flex-direction: column;
  }
}
@media (max-width: 768px) {
  .image-side img{
    max-width: 100%;
    height: auto;
    border-radius: 0 ;
  }
  .card{
    margin-top: 10px;
    width: 310px;
    height: 400px;
  }
  footer{
    font-size: 12px;
  }
}
@media (max-width: 440px) {
  h3{
    font-size: 14px;
  }
  .input-group input:focus ~ label,
  .input-group input:valid ~ label {
    font-size: 1rem;
  }
  .input-group label{
    font-size: 0.8rem;
  }
  .input-group input{
    padding: 10px 10px;
    font-size: 0.8rem;
    width: 100%;
  }
}
@media (max-width: 391px) {
  h3{
    margin: 15px;
  }
  .card{
    height: 380px;
  }
}